<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.productCategory.home.title">Product Categories</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product-category" [routerLink]="['/product-category/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.productCategory.home.createLabel">
            Create new Product Category
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="productCategories">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.productCategory.name">Name</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.productCategory.description">Description</span></th>
            <th><span jhiTranslate="restaurantApplicationApp.productCategory.restaurant">Restaurant</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let productCategory of productCategories ;trackBy: trackId">
                <td><a [routerLink]="['/product-category', productCategory.id, 'view' ]">{{productCategory.id}}</a></td>
                <td>{{productCategory.name}}</td>
                <td>{{productCategory.description}}</td>
                <td>
                    <div *ngIf="productCategory.restaurant">
                        <a [routerLink]="['../restaurant', productCategory.restaurant?.id, 'view' ]" >{{productCategory.restaurant?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/product-category', productCategory.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/product-category', productCategory.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'product-category', { outlets: { popup: productCategory.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
